Modify

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#10048 closed defect (fixed)

JOSM shouldn't offer a building=no option

Reported by: naoliv Owned by: team
Priority: normal Milestone: 14.05
Component: Core Version:
Keywords: Cc:

Description

Add a new node in JOSM, insert building for key and then type n in value (and see the suggestion to autocomplete as no); or open the value dropbox (and also see the no value there). There shouldn't be a no value for building (see also #9650).

Attachments (0)

Change History (9)

comment:1 Changed 5 years ago by naoliv

I am seeing the same problem with highway. Is there a need for highway=no?

comment:2 Changed 5 years ago by Don-vip

Can you please post your status report and the list of presets you have enabled? This is important for everything related to autocompletion. Thanks.

comment:3 Changed 5 years ago by naoliv

Sorry.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-05-19 01:36:32
Last Changed Author: Don-vip
Revision: 7142
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-05-18 18:04:18 +0200 (Sun, 18 May 2014)
Last Changed Rev: 7142

Identification: JOSM/1.5 (7142 pt_BR) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 262 MB / 1756 MB (184 MB allocated, but free)
Java version: 1.7.0_55, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u55-2.4.7-2
VM arguments: [-Djava.net.useSystemProxies=true, -Dawt.useSystemAAFontSettings=on, -Dawt.useSystemAAFontSettings=on]
Dataset consistency test: No problems found

Plugin: AddrInterpolation (30416)
Plugin: Create_grid_of_ways (30416)
Plugin: FixAddresses (30416)
Plugin: ImageryCache (30416)
Plugin: OpeningHoursEditor (30416)
Plugin: PicLayer (30436)
Plugin: SimplifyArea (30416)
Plugin: buildings_tools (30416)
Plugin: editgpx (30416)
Plugin: geotools (30416)
Plugin: jts (30416)
Plugin: merge-overlap (30416)
Plugin: notes (v0.9.2)
Plugin: opendata (30436)
Plugin: pdfimport (30416)
Plugin: poly (30416)
Plugin: reverter (30436)
Plugin: tagging-preset-tester (30416)
Plugin: todo (29154)
Plugin: turnrestrictions (30454)
Plugin: undelete (30416)
Plugin: utilsplugin2 (30419)

I only have the Internal Preset enabled:

taggingpreset.entries=[{title=Internal Preset, url=resource://data/defaultpresets.xml

comment:4 Changed 5 years ago by skyper

Yeah, it is strange. I can reproduce with plain josm-latest (empty preferences).

And a simple search through default preferences grep \"building\" defaultpresets.xml |grep no gives an empty result.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-05-19 01:36:32
Last Changed Author: Don-vip
Revision: 7142
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-05-18 18:04:18 +0200 (Sun, 18 May 2014)
Last Changed Rev: 7142

Identification: JOSM/1.5 (7142 en) Linux Debian GNU/Linux 7.5 (wheezy)
Memory Usage: 179 MB / 882 MB (120 MB allocated, but free)
Java version: 1.7.0_55, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u55-2.4.7-1~deb7u1
VM arguments: [-Djosm.home=/tmp/.josm]
Program arguments: [--language=en]
Dataset consistency test: No problems found

Or is it Debian specific ?

Last edited 5 years ago by skyper (previous) (diff)

comment:5 Changed 5 years ago by naoliv

Couldn't it be some kind of property that, by default, gives the values yes and no to those dropdowns, even if they don't have these values in their presets? (ie, the preset is only adding more values to the already present yes and no)

comment:6 Changed 5 years ago by bastiK

Yes, it comes from the public_transport=station preset. (Does it make sense in this context?)

comment:7 Changed 5 years ago by simon04

#9682 is related.

comment:8 Changed 5 years ago by simon04

Resolution: fixed
Status: newclosed

In 7171/josm:

fix #9682 #10048 - Presets: disable no value for some checkboxes in the preset dialog

This avoid that unneeded keys are created/suggested by JOSM, such as building=no

comment:9 Changed 5 years ago by Don-vip

Milestone: 14.05

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.